Welcome to Netrider ... Connecting Riders!

Interested in talking motorbikes with a terrific community of riders?
Signup (it's quick and free) to join the discussions and access the full suite of tools and information that Netrider has to offer.

Another boot for Ladies that are height challenged

Discussion in 'Boots' started by Caz no 2, Nov 17, 2015.

  1. image.

    Love my Joe Rocket Heartbreaker boots. Great protection and the added internal heel allows me to get more of my feet on the ground. They also are quite adjustable around the calf so you don't have to be a skinny mini to fit into a high boot.

    I ended up buying 2 pairs, one for the future in case they stop making them and there are no good replacements.

    • Like Like x 1
  2. Hey Caz no 2Caz no 2 did you go through the US or Canadian site pls?
    ...with the Aussie peso at the moment, it can be a nasty undie shock buying in US dollars :shock:
  3. I did go through a US site but I did buy them when the dollar was better. If you look on eBay you may find a few sellers to get a better price. They are true to size too.
  4. Heya Caz no 2Caz no 2

    I'll put the info here, even if this thread is a little older, cause I had a look at your recommendation when I was looking for mine... I ended up going to the Daytona ladies boots since, like the JoeRockets they have some heel built in. They're pretty tall on the shins, which offer more protection, are quite sturdy and are very good quality, I also wanted to try on the boots and hence why I shied away from the JoeRockets - I was able to try these on.

    In the end I got the lady pilots since they're a good all rounder , Are neat enough that can be seen around strutting their stuff around coffee shops, they're sturdy to widthstand stacks against skippies, I can walk in them ok (better uphill than down hill) although preferrably more padded socks are needed to go down hill. These also have the adjustable flap at the back so you can wear jeans inside or out, or adjust the calve width to as wide as you need it. :)